<?php
##########################Admin Media Search mod: new strings
### New labels & options for the search form, and results table column headings
$admtext['rrams-resultsppage'] = 'Results per page';  #Prompt for new field in search form
$admtext['rrams-newsearch'] = 'New search';         #The legend of the fieldset that surrounds the search form.
$admtext['rrams-all'] = 'All';                      #The default choice in the new file type selection box
$admtext['rrams-either'] = 'Either';                #Radio button value
$admtext['rrams-filetype'] = 'File Type';           #Search form prompt and column heading
$admtext['rrams-thumbnails'] = 'Thumbnails';        #Search form  prompt
$admtext['rrams-display'] = 'Display options';
$admtext['rrams-sort'] = 'Sort by';          # Search form prompt
$admtext['rrams-searchdescription'] = 'Title';   #Search option
$admtext['rrams-searchnotes'] = 'Description';   #Search option
$admtext['rrams-path'] = 'File Path';            # Search option
$admtext['rrams-bodytext'] = 'BodyText';         #Search option
$admtext['rrams-sortdesc'] = 'Title/Description'; #Sort option
$admtext['rrams-mediatypeID'] = 'MediatypeID';   #Search option
$admtext['rrams-sortdesc'] = 'Title/Description'; #Sort option
$admtext['rrams-mediaid'] = 'MediaID';     # Search option, Display option & column heading
$admtext['rrams-mediakey'] = 'MediaKey';   # Search option, Display option & column heading
$admtext['rrams-filepath'] = 'File path';  # Display option & column heading
$admtext['rrams-geocodes'] = 'Geocodes';   # Display option & column heading
$admtext['rrams-fileextension'] = 'FileExtension'; #Added to column heading
$admtext['rrams-criteria'] = 'Search Criteria';
$admtext['rrams-nofile'] = '(no file)';
$admtext['rrams-hasbodytext'] = 'Has BodyText';
$admtext['rrams-searchfields'] = 'Search fields';
$admtext['rrams-placeholder'] = "(Can be a regular expression)";
$admtext['rrams-onesearchfield'] = 'At least one database field must be selected';
### Abbreviations for Latitude and Longitude for the narrower Geocode column.
$admtext['rrams-latab'] = 'Lat';
$admtext['rrams-lonab'] = 'Lon';

###Error messages in the thumbnail column
$admtext['rrams-missingthumb'] = '(Missing)';
$admtext['rrams-badthumb'] = '(Bad filename)';
$admtext['rrams-noformlong'] = "This is the media file extension; the 'form' attribute is missing";
$admtext['rrams-nofilext'] = "There IS a media file path, but it has no extension, and there is no 'form' attribute";
$admtext['rrams-noform'] = 'No file type';
$admtext['rrams-nomedia'] =  'No media';
$admtext['rrams-nomediaorbt'] = 'There is no media path nor bodytext';
$admtext['rrams-butfiletype'] = ", but there is a 'form' attribute value of";
$admtext['rrams-tags'] = 'tags';

# Popup hint text
$admtext['rrams-searchtitle'] = 'New Features of the Search String';
$admtext['rrams-searchdims'] = '525, 320';
$admtext['rrams-searchhint'] = "<div>The search string now supports SQL regular expressions.
	A search string that starts and ends with '/' is treated as a regular expression.
	(Note that SQL regular expressions are not quite the same as PHP regular expressions).
	Examples of regular expressions that work in both contexts:</div>
	<ol type='a' style='margin-top:0;margin-bottom:0;'>
	<li><code>/[^r]kansas/</code> will find Kansas and Kansas City, but not Arkansas.</li>
	<li><code>/(Billingsley)|(Richmond)/</code> will find media items that match either name.</li>
	</ol>
	<div style='color:brown;margin-bottom:1ex;'>
	<b>BE CAREFUL - Invalid SQL regular expressions can cause this program to crash.</b>
	To prevent invalid search strings from being reused automatically,
	regular expression search strings are NOT saved.
	Your web browser may remember them as a value you typed into a field,
	but the Media Search form will not remember them
	(except when you move to another page of results after a successful search).</div>";
$admtext['rrams-fbhint'] = "<div>There should be two \"field buttons\" next to the search string:</div>
<ul style='margin-top:0'>
	<li>The 'X' button clears the search field.
	<br>It is shaded out when the search string field is empty.</li>
	<li>The 'R' button restores the search value that was present when the page was loaded.
	<br>It is shaded out if the search value is the same as it was when the page was loaded.</li>
</ul>";

# For the Inner Mod Menu "what changed" popup
$admtext['rrams-whatchangeddims'] = "480, 360";
$admtext['rrams-whatchanged'] = "The primary intent of the Admin Media Search mod
	has, for some time, been to provide some search options
	(such as the ability to control which database fields are searched)
	and enhancements to the search results
	(such as the ability to select optional result column and sort the results).
	<p>One quite useful feature of the mod is that it creates hyperlinks
	for all of the objects that a media items links to.
	</p>
	<p style='margin-bottom:0;'>More recently, this mod</p>
	<ol style='margin-top:0;'>
	<li>Implemented a regular-expression search,</li>
	<li>Made further modifications to the \"Linked To\" column to handle citation medialinks,
		which TNG didn't really support until TNGv12.1.</li>
	<li>Added the ability to show information in the Thumbnails column of the results table,
		if there is no thumnail image to display.</li>
	</ol>
	<p>Many of these features are controlled by mod options,
	There are now so many options that efforts have been made to allow administrators to just ignore groups of options.
	But, of course, adding the flexibility to ignore some options adds to the complexity of the underlying code,
	and to the overall details of editing the mod options.</p>
	<p>The bottom line is that, if you want to find out what the heck this mod is up to,
	<b>It's probably best to read the
	<a href='https://tng.lythgoes.net/wiki/index.php?title=Admin_Media_Search'>Wiki Page</a></b>
	</p>";

$admtext['rrams-hintfootnote'] = "This help message window can be dragged out of the way, <span class='nw'>and left on the screen as long as you need it.</span>";
# We're REPLACING two existing translation string to be more explicit.
$admtext['confdeletemedia'] = 'Are you sure that you want to delete this Media record?\n(Note that the media file will not be deleted; just the database record.)';
$admtext['norecords'] = 'No matching records';
####For the options form in admin_genconfig.php
$admtext['rrams-searchableprompt'] = 'Media fields that can be searched, and whether they are searched by default';
$admtext['rrams-selectfield'] = 'Select a fieldname';
$admtext['rrams-addsearchable'] = 'Add Searchable field';
$admtext['rrams-fieldname'] = 'Fieldname';
$admtext['rrams-citemsg'] = 'Options for Event Tags associated with Citation Medialinks in the LinkedTo column';
$admtext['rrams-citestartprompt'] = 'Start with the tags visible';
$admtext['rrams-citetoggleprompt'] = 'Add a button to toggle the display of the tags';
$admtext['rrams-thumbemsg'] = 'Options for new information to place in the Thumbnails column';
$admtext['rrams-thumbextprompt'] = "Check for missing file extension in media and thumbnail paths";
$admtext['rrams-filetypeprompt'] = "Show Mediatypes where there is no thumbnail path value";
$admtext['rrams-filetypeerrprompt'] = 'Show error conditions';
$admtext['rrams-mediatypestodisplay'] = "Media types that will be displayed when there is no thumbnail path";
$admtext['rrams-asteriskatfront'] = "An asterisk alone or at the beginning means 'all'";
$admtext['rrams-filetypeerrprompt'] = 'Show error conditions';
$admtext['rrams-invalidoptionmsg'] = "See <a href='https://tng.lythgoes.net/wiki/index.php?title=Admin_Media_Search#Invalid_Paths'>the mod's Wiki article</a> for details</a>.";
$admtext['rrams-showfiletypeprompt'] = "Show filetype in the Title/Description column when there is no Path column";

######## Strings for admin_genconfig.php defined for mod v13. Some redefine strings defined above
# Strings used in groups of mod options that are initially hidden
$admtext['rrams-seenative'] = "See Native Behavior";
$admtext['rrams-seerecommended'] = "See Recommended Behavior";
$admtext['rrams-native'] = "Settings for Native Behavior";
$admtext['rrams-recommended'] = "Settings for Recommended Behavior";
$admtext['rrams-showsettings'] = "Show Settings";
$admtext['rrams-hidesettings'] = "Hide Settings";
# Optional search fields
$admtext['rrams-changesearchfields'] = "Change search fields and search field selection";
$admtext['rrams-nativesearchshint'] = "mediaID, description, notes, path, bodytext, and owner. No information about search fields on the search form.";
$admtext['rrams-recommendedsearchhint'] = "mediaID, description, notes, path, bodytext, and owner. Search fields are listed, with checkboxes for each one. The two fields description and notes are checked (searched) by default.";
$admtext['rrams-showfields'] = "List the searchable fields on the search form";
$admtext['rrams-showcheckboxes'] = "Add checkboxes that determine which searchable fields are used in a given search";
$admtext['rrams-searchablepromptyes'] = "Media fields that can be searched, and whether they are searched by default";
$admtext['rrams-searchablehintyes'] = "Database fields listed here will be shown on the search form with checkboxes that allow the user to choose which fields are searched with any given search. The \"Default\" checkbox indicates that the field will be searched unless its checkbox is <i>un</i>checked. You can add fields to or remove fields from this table.";
$admtext['rrams-searchablepromptno'] = "Media fields to be searched";
$admtext['rrams-searchablehintno'] = "Fields that will <i>always</i> be searched are checked. You can add fields to the table or remove them. Unchecked fields will be ignored. The user has no opportunity at run-time to change which fields are searched.";
$admtext['rrams-searchablehintboth'] = "(Note that the database fields 'description' and 'notes' are displayed on the Media Search page as 'Title' and 'Description'.";
# Require Bodytext & Sort options
$admtext['rrams-requirebodytext'] = "Show a 'Has Bodytext' checkbox";
$admtext['rrams-showsortoptions'] = "Show sort options";
# Optional results columns
$admtext['rrams-optionalresultscolumns'] = "Optional Results Columns";
$admtext['rrams-allowoptionalcolumns'] = "Allow Optional Columns";
$admtext['rrams-nativeresultshint'] = "Always display geocoordinates; Never display optional column names or optional columns.";
$admtext['rrams-recommendedresultshint'] = "Display MediaID, File Path, and Geocodes as optional results columns (selected by checkboxes. Most sites probably don't need Mediakey.";
$admtext['rrams-resultsyes'] = "Select which optional columns will be selectable on the search form";
$admtext['rrams-resultsno'] = 'The native Geocoordinates column will always be displayed.';
$admtext['rrams-resultsyeshint'] = "The native Geocoordinates column is suppressed, and these columns can be added to the results. If \"Offered\" is checked here, the column will be listed on the search form with a checkbox.  If \"Default\" is checked, the column will be listed unless its checkbox is <i>un</i>checked.
<br>('Geocodes' abbreviates the 'Geocoordinates' column heading <i>and</i> the latitude and longitude values.)";
$admtext['rrams-columnname'] = "Column";
$admtext['rrams-offered'] = "Offered";
# Filetype in Title/Description
$admtext['rrams-showfiletypeprompt'] = "Show filetype in the Title/Description column when there is no Path column";
# Extra information in the Thumbnail column
$admtext['rrams-extrathumbinfo'] = "Additional Information in the Thumbnail Column";
$admtext['rrams-allowthumbdata'] = "Allow additional information in the thumbnail column";
$admtext['rrams-extrathumbhint'] = "These messages and errors are shown <b>only</b> if there is no thumbnail path. The mod will always display an error message if there is a thumbnail path and the thumbnail file is missing.";
$admtext['rrams-recommendedthumbhint'] = "Only the first (Show the media file's file extension) of these three options is selected. The other two should be used if you have problems with the thumbnail file extension or file type.";
$admtext['rrams-nativethumbhint'] = "None of these options is selected. Empty thumbnail table cells with remain empty, except for the new (and not optional) message that reports when a specified thumbail file is missing.";
$admtext['rrams-pathextprompt'] = "Show the media item's file extension";
$admtext['rrams-thumbexterrprompt'] = "Show likely errors in thumbnail file extension";
$admtext['rrams-pathformerrprompt'] = "Show likely errors in the media file FORM attribute";
# Show Citation Medialinks event tags
$admtext['rrams-eventtags'] = "Event Tags associated with Citation Medialinks, in the 'Linked To' column";
$admtext['rrams-citenever'] = "Never show them";
$admtext['rrams-citealways'] = "Always show them";
$admtext['rrams-citetogglestart'] = "Show a toggle button, and start with the tags";
$admtext['rrams-citetogglenot'] = "Show a toggle button, and start without the tags";
$admtext['rrams-nativecitehint'] = "Never show the event tags";
$admtext['rrams-recommendedcitehint'] = "Start with the event tags hidden, but offer a button (in the column heading) to display them.";
# Show Citation Medialinks
?>
